API Reference
OAuth 2.0
The OAuth issuer for AI connectors and partner apps (RFC 6749).
3 endpoints
post
/api/v1/public/oauth/registerCreate register
Request body
application/json
{
"client_name": "string",
"redirect_uris": [
"string"
],
"token_endpoint_auth_method": "string"
}| client_name string | — |
| redirect_uris string[] | — |
| token_endpoint_auth_method string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/public/oauth/register" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"client_name": "string",
"redirect_uris": [
"string"
],
"token_endpoint_auth_method": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/public/oauth/tokenCreate token
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/public/oauth/token" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu